com.sap.conn.jco

## Interface JCoAttributes

- All Superinterfaces:
    Serializable

      public interface JCoAttributes
      extends Serializable

  Encapsulates a number of attributes of a connection, such as codepage information, system information of the communication partner, and other useful data.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClient()` Retrieves the SAP client from the connection attributes.
    `String` | `getCPICConversationID()` Retrieves the low-level CPIC conversation ID from the connection attributes.
    `String` | `getDestination()` Retrieves the destination from the connection attributes.
    `String` | `getHost()` Retrieves the host from the connection attributes.
    `String` | `getISOLanguage()` Retrieves the logon language field from the connection attributes and returns it as a two-character string.
    `String` | `getKernelRelease()` Retrieves the release of the remote SAP system's kernel.
    `String` | `getLanguage()` Retrieves the logon language field from the connection attributes and returns it as a one-character string.
    `int` | `getOwnBytesPerChar()` Returns the number of bytes per character for the currently used local codepage.
    `String` | `getOwnCharset()` Retrieves the Java charset equivalent of the local SAP codepage.
    `String` | `getOwnCodepage()` Retrieves the local codepage in SAP notation.
    `String` | `getOwnEncoding()` Retrieves the MIME encoding equivalent of the local SAP codepage.
    `int` | `getPartnerBytesPerChar()` Returns the number of bytes per character for the currently used remote codepage.
    `String` | `getPartnerCharset()` Retrieves the Java charset equivalent of the codepage used by the remote system.
    `String` | `getPartnerCodepage()` Retrieves the codepage used by the remote system in SAP notation.
    `String` | `getPartnerEncoding()` Retrieves the MIME encoding equivalent of the remote SAP codepage.
    `String` | `getPartnerHost()` Retrieves the partner host from the connection attributes.
    `InetAddress` | `getPartnerInetAddress()` Retrieves the partner IP address as InetAddress.
    `String` | `getPartnerRelease()` Retrieves the release of the remote SAP system.
    `int` | `getPartnerReleaseNumber()` Returns the release number of the partner system as an integer.
    `char` | `getPartnerType()` Retrieves the type which specifies the partner of the communication.
    `String` | `getRelease()` Retrieves the release of the local SAP system or transport library.
    `char` | `getRfcRole()` Retrieves the RFC role from the connection attributes.
    `String` | `getSSOTicket()` Retrieves the SSO ticket from the connection attributes.
    `String` | `getSystemID()` Retrieves the SAP system ID from the connection attributes.
    `String` | `getSystemNumber()` Retrieves the SAP system number from the connection attributes.
    `boolean` | `getTrace()` Retrieves the RFC trace flag from the connection attributes.
    `char` | `getType()` Retrieves the type which specifies the local system.
    `String` | `getUser()` Retrieves the user ID from the connection attributes, the name of the user the connection is associated with.

- - ### Method Detail

    - #### getDestination

          String getDestination()

      Retrieves the destination from the connection attributes.
      Returns:
        the destination name

    - #### getHost

          String getHost()

      Retrieves the host from the connection attributes.
      Returns:
        the local host name

    - #### getPartnerHost

          String getPartnerHost()

      Retrieves the partner host from the connection attributes.

      Note: For load balanced destinations that are not sticky, the partner host will only be available, if the corresponding destination is currently in a stateful context and a connection has been established.

      Returns:
        the remote partner host name

    - #### getPartnerInetAddress

          InetAddress getPartnerInetAddress()

      Retrieves the partner IP address as InetAddress. A string representation of the IP address can be retrieved via `getHostAddress()` name of the remote host. If IPv6 is used, the an instance of `Inet6Address` will be returned, otherwise an instance of `Inet4Address`. Note: For load balanced destinations that are not sticky, the partner InetAddress will only be available, if the corresponding destination is currently in a stateful context and a connection has been established.
      Returns:
        the remote IP address as InetAddress
      Since:
        JCo 3.1.0

    - #### getSystemID

          String getSystemID()

      Retrieves the SAP system ID from the connection attributes.
      Returns:
        the SAP system ID

    - #### getSystemNumber

          String getSystemNumber()

      Retrieves the SAP system number from the connection attributes.

      Note: For load balanced destinations that are not sticky, the system number will only be available, if the corresponding destination is currently in a stateful context and a connection has been established.

      Returns:
        the SAP system number

    - #### getClient

          String getClient()

      Retrieves the SAP client from the connection attributes.
      Returns:
        the SAP client

    - #### getUser

          String getUser()

      Retrieves the user ID from the connection attributes, the name of the user the connection is associated with.
      Returns:
        the SAP user ID

    - #### getLanguage

          String getLanguage()

      Retrieves the logon language field from the connection attributes and returns it as a one-character string.
      Returns:
        the one-character logon language ( e.g. "E","D", etc.)

    - #### getISOLanguage

          String getISOLanguage()

      Retrieves the logon language field from the connection attributes and returns it as a two-character string.
      Returns:
        the two-character ISO logon language ( e.g. "EN", "DE", etc.).

    - #### getOwnCodepage

          String getOwnCodepage()

      Retrieves the local codepage in SAP notation.
      Returns:
        the local SAP code page (e.g. 1100, 8400, etc.)

    - #### getOwnCharset

          String getOwnCharset()

      Retrieves the Java charset equivalent of the local SAP codepage.
      Returns:
        the charset used by the local host (e.g. ISO8859_1, KSC5601, etc.)

    - #### getOwnEncoding

          String getOwnEncoding()

      Retrieves the MIME encoding equivalent of the local SAP codepage.
      Returns:
        the MIME encoding used by the local host (e.g. ISO-8859-1, etc.)

    - #### getOwnBytesPerChar

          int getOwnBytesPerChar()

      Returns the number of bytes per character for the currently used local codepage.
      Returns:
        the number of bytes per character for the local codepage
      Since:
        JCo 3.0.2

    - #### getPartnerCodepage

          String getPartnerCodepage()

      Retrieves the codepage used by the remote system in SAP notation.
      Returns:
        the remote SAP code page (e.g. 1100, 8400, etc.)

    - #### getPartnerCharset

          String getPartnerCharset()

      Retrieves the Java charset equivalent of the codepage used by the remote system.
      Returns:
        the charset used by the remote host (e.g. ISO8859_1, KSC5601, etc.)

    - #### getPartnerEncoding

          String getPartnerEncoding()

      Retrieves the MIME encoding equivalent of the remote SAP codepage.
      Returns:
        the MIME encoding used by the remote host (e.g. ISO-8856-1)

    - #### getPartnerBytesPerChar

          int getPartnerBytesPerChar()

      Returns the number of bytes per character for the currently used remote codepage.
      Returns:
        the number of bytes per character for the remote codepage
      Since:
        JCo 3.0.2

    - #### getRelease

          String getRelease()

      Retrieves the release of the local SAP system or transport library.
      Returns:
        the local SAP system release

    - #### getPartnerRelease

          String getPartnerRelease()

      Retrieves the release of the remote SAP system.
      Returns:
        the remote SAP system release

    - #### getKernelRelease

          String getKernelRelease()

      Retrieves the release of the remote SAP system's kernel.
      Returns:
        the remote SAP system kernel release

    - #### getPartnerType

          char getPartnerType()

      Retrieves the type which specifies the partner of the communication.

      Valid partner types are:

      Value | Description
      --- | ---
      '3' | ABAP system
      'E' | External program
      'R' | Registered external program

      Returns:
        the remote partner type

    - #### getTrace

          boolean getTrace()

      Retrieves the RFC trace flag from the connection attributes.
      Returns:
        `true` if the RFC trace is enabled, `false` otherwise

    - #### getRfcRole

          char getRfcRole()

      Retrieves the RFC role from the connection attributes.

      Valid role values are:

      Value | Description
      --- | ---
      'C' | RFC Client
      'S' | RFC Server

      Returns:
        `'C'` if in client mode or `'S'` if in server mode

    - #### getType

          char getType()

      Retrieves the type which specifies the local system.

      Valid local system types are:

      Value | Description
      --- | ---
      'E' | External program
      'R' | Registered external program

      Returns:
        the local system type

    - #### getCPICConversationID

          String getCPICConversationID()

      Retrieves the low-level CPIC conversation ID from the connection attributes.

      Note: The CPIC conversation ID will only be available, if the corresponding destination is currently in a stateful context and a connection has been established.

      Returns:
        the CPIC conversation ID

    - #### getSSOTicket

          String getSSOTicket()

      Retrieves the SSO ticket from the connection attributes.
      Returns:
        the SSO ticket or `null` if not set

    - #### getPartnerReleaseNumber

          int getPartnerReleaseNumber()

      Returns the release number of the partner system as an integer.

      For example:

      Number | Description
      --- | ---
      0 | unknown
      317 | R/3 3.1H
      400 | R/3 4.0A
      401 | R/3 4.0B
      450 | R/3 4.5A
      451 | R/3 4.5B
      461 | R/3 4.6B
      462 | R/3 4.6C
      610 | R/3 6.10
      620 | AS ABAP 6.20
      640 | AS ABAP 6.40
      700 | AS ABAP 7.00
      702 | AS ABAP 7.02
      711 | AS ABAP 7.11
      720 | AS ABAP 7.20
      740 | AS ABAP 7.40
      750 | AS ABAP 7.50

      Returns:
        the release number as an integer

Copyright © 2019 SAP. All Rights Reserved.